/* Cold-Spare guard: 1 primary unit, 2 cold spares */
FactorModel {
  CS1 desc "CSP gate output"
    requires(FA2) prevents(FA2) final;
  FP1 desc "primary unit 1 fails"
    causes(H1a) // spare (sequence) only available to one primary unit
    /* preventsMit(A1a,A1m) */
    /* mitPreventsMit(A1a,A1m) */
    ; 
  H1a requires(FP1) direct desc "helper: FP1 active";
  H1m requiresMit(FP1) direct final desc "helper: FP1 mitigated by A1";
  FA1 desc "alternative unit 1 fails (generally unavailable)"
    requiresNOf(1|H1a,H1m) /* requiresOcc(FP1) */
    excludes(H1a,H1m)
    prevents(FP1)
    preventsMit(FP1); // cold spares do not fail if primaries are operational
  H2a requires(FA1) direct desc "helper: FA1 active";
  H2m requiresMit(FA1) direct final desc "helper: FA1 mitigated by A2";
  FA2 desc "alternative unit 2 fails"
    requiresNOf(1|H2a,H2m)
    excludes(H2a,H2m)
    prevents(FP1,FA1)
    preventsMit(FA1,FP1)
    final;
}

ControlLoop {
  P1 desc "primary active unit 1";
  A1 desc "alternative unit 1";
  A2 desc "alternative unit 2";
}

Activity {
  /* initialState (P1F:a,P2F:a); */
}

Settings {
  /* suppressMishaps=true; */
  /* suppressMitigations=false; */
  /* mitigationDepth=1; */
  suppressLoops=true;
  /* allFactorsDirect=true; */
  graphDirection=TB;
}

